Bug 1257565 - Error when trying to modify existing 9p share
Error when trying to modify existing 9p share
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 07:07 EDT by Jan Synacek
Modified: 2015-12-28 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version: virt-manager-1.2.1-4.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 18:55:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Synacek 2015-08-27 07:07:11 EDT
Description of problem:
I'm getting a notification box that says "Invalid target path. A filesystem with that target already exists" when I'm trying to modify existing 9p share.


Version-Release number of selected component (if applicable):
virt-manager-1.2.1-2.fc22.noarch


Steps to Reproduce:
1. Create a VM, then double click in the virt-manager to open its window.
2. Click "Show virtual hardware details" -> "Add Hardware" -> "Filesystem", fill in some properties and click "Finish".
3. Click the existing "Filesystem <your target>" and try to change the source path, and click "Apply".
4. Observe the error.


Actual results:
I can't modify an existing Filesystem without removing it and creating it again.


Expected results:
Modification works.
Comment 1 Cole Robinson 2015-09-01 12:33:30 EDT
Thanks for the report, I reproduced this issue. We could skip the check when editing an existing filesystem device... but it could conflict with a previously defined device anyways. If collision is an issue, libvirt or qemu should be warning about it... so I just dropped the check entirely:

commit fbb31bd156acda1508a2d540425e97b7ddf68737
Author: Cole Robinson <crobinso@redhat.com>
Date:   Tue Sep 1 12:31:53 2015 -0400

    fsdetails: Drop check for qemu target collision (bz #1257565)
Comment 2 Fedora Update System 2015-11-25 15:28:05 EST
virt-manager-1.2.1-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cdb691dcd9
Comment 3 Fedora Update System 2015-11-26 17:53:50 EST
virt-manager-1.2.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update virt-manager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cdb691dcd9
Comment 4 Fedora Update System 2015-11-27 20:15:17 EST
virt-manager-1.2.1-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ad893bbf01
Comment 5 Fedora Update System 2015-11-28 19:54:28 EST
virt-manager-1.2.1-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update virt-manager'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ad893bbf01
Comment 6 Fedora Update System 2015-12-28 18:54:53 EST
virt-manager-1.2.1-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.